#!/bin/sh
echo 'name: IORefCAS
version: 0.2.0.1
id: IORefCAS-0.2.0.1-7e5c2f9adffc5b40502274e93f44bda9

license: BSD3
copyright:
maintainer: acfoltzer@gmail.com, rrnewton@gmail.com
stability:
homepage: https://github.com/rrnewton/haskell-lockfree-queue/wiki
package-url:
synopsis: Atomic compare and swap for IORefs and STRefs.
description: After GHC 7.2 a new `casMutVar#` primop became available, but was
             not yet exposed in Data.IORef.  This package fills that gap until
             such a time as Data.IORef obsoletes it.
             .
             Further, in addition to exposing native Haskell CAS operations, this
             package contains \"mockups\" that imititate the same functionality
             using either atomicModifyIORef and unsafe pointer equality (in
             @Data.CAS.Fake@) or using foreign functions (@Data.CAS.Foreign@).
             These alternatives are useful for debugging.
             .
             Note that the foreign option does not operate on IORefs and so is
             directly interchangeable with `Data.CAS` and `Data.CAS.Fake` only if
             the interface in `Data.CAS.Class` is used.
category: Data
author: Adam C. Foltzer, Ryan Newton
exposed: True
exposed-modules: Data.CAS.Internal.Foreign Data.CAS
                 Data.CAS.Internal.Class Data.CAS.Internal.Fake
                 Data.CAS.Internal.Native
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/IORefCAS-0.2.0.1
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/IORefCAS-0.2.0.1
              /usr/local/lib
hs-libraries: HSIORefCAS-0.2.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bits-atomic-0.1.3-9805b966e96ec52966cb24c66f7d9eb4
         ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/IORefCAS-0.2.0.1/html/IORefCAS.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/IORefCAS-0.2.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
